<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.3) on Sun May 26 21:48:59 CEST 2019 -->
<title>All Packages</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-26">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="All Packages";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="All&amp;nbsp;Packages" class="title">All&nbsp;Packages</h1>
</div>
<div class="allPackagesContainer">
<ul class="blockList">
<li class="blockList">
<table class="packagesSummary">
<caption><span>Package Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="lib/textlinenumber/package-summary.html">lib.textlinenumber</a></th>
<td class="colLast">
<div class="block">text line number display in a JTextPane</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="lib/xmleditor/package-summary.html">lib.xmleditor</a></th>
<td class="colLast">
<div class="block">xml editor with highlighting.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="org/david/package-summary.html">org.david</a></th>
<td class="colLast">
<div class="block">Main package containing all classes for IsenSvgMain.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="org/david/files/package-summary.html">org.david.files</a></th>
<td class="colLast">
<div class="block">This package contains all classes related to ".isvg" files.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="org/david/geo/image/package-summary.html">org.david.geo.image</a></th>
<td class="colLast">
<div class="block">define all classes related to an image.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="org/david/geo/line/package-summary.html">org.david.geo.line</a></th>
<td class="colLast">
<div class="block">this package contains all classes related to a line.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="org/david/geo/polyshapes/package-summary.html">org.david.geo.polyshapes</a></th>
<td class="colLast">
<div class="block">a poly shape class is almost the same class as Shape
 but with a table of Coordinate.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="org/david/geo/primitive/package-summary.html">org.david.geo.primitive</a></th>
<td class="colLast">
<div class="block">A primitive is a general abstract class to implement polymorphism in the
 drawing zone.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="org/david/geo/shapes/package-summary.html">org.david.geo.shapes</a></th>
<td class="colLast">
<div class="block">All basic shapes in this package.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="org/david/geo/style/package-summary.html">org.david.geo.style</a></th>
<td class="colLast">
<div class="block">style component.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="org/david/geo/text/package-summary.html">org.david.geo.text</a></th>
<td class="colLast">
<div class="block">This package contains all classes related to Text class.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="org/david/geo/transform/package-summary.html">org.david.geo.transform</a></th>
<td class="colLast">
<div class="block">This package contains all classes related to the rotation or the translation
 of a <code>Primitive</code>.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="org/david/model/isvgparser/package-summary.html">org.david.model.isvgparser</a></th>
<td class="colLast">
<div class="block">isvg parser using SAX API.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="org/david/template/package-summary.html">org.david.template</a></th>
<td class="colLast">
<div class="block">template insert utility class for isvg files.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="org/david/vue/drawingzone/package-summary.html">org.david.vue.drawingzone</a></th>
<td class="colLast">
<div class="block">classes used to create a drawing zone.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="org/david/vue/isvgeditor/package-summary.html">org.david.vue.isvgeditor</a></th>
<td class="colLast">
<div class="block">This package contains the <code>IsvgEditor</code> related classes.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="org/david/vue/window/package-summary.html">org.david.vue.window</a></th>
<td class="colLast">
<div class="block">define the main Window class.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
